%define debug 0
%define final 0

%define rpm_clean 1

%define qt_version 3.2.3

Name: kdeartwork
Version: 3.2.0
Release: 0.1
Summary: Additional artwork (themes, sound themes, ...) for KDE
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Patch: kde-libtool.patch

BuildRequires: perl
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdebase-devel >= %{version}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: qt-devel >= %{qt_version}
BuildRequires: xscreensaver

Obsoletes: %{name}-locolor
Obsoletes: %{name}-screensavers
Obsoletes: %{name}-kworldclock

Provides: %{name}-locolor
Provides: %{name}-screensavers
Provides: %{name}-kworldclock

Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}
Requires: qt >= 1:%{qt_version}
Requires: xscreensaver

%description
Additional artwork (themes, sound themes, screensavers ...) for KDE

%package icons
Summary: icon themes (kdeclassic, slick ....) for KDE
Group: User Interface/Desktops
Requires: %{name} = %{version}

%description icons
The kdeartwork-icons package contains icon themes (kdeclassic, slick ...)
for KDE

%prep

%setup -q
%patch -p1 -b .libtool

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

export PATH=`pwd`:$PATH
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-use-cxa-atexit"

make -f admin/Makefile.common cvs

%configure \
   --with-qt-libraries=$QTDIR/lib \
%if %{final}
   --enable-final \
%endif
   --disable-rpath

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_datadir}/config/*
%{_bindir}/*
%{_libdir}/kde3/plugins/styles/*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so*
%{_datadir}/apps/kwin/icewm-themes
%{_datadir}/apps/kwin/glow-themes
%{_datadir}/apps/kwin/*.desktop
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/sounds/*
%{_datadir}/wallpapers/*
%{_datadir}/apps/kscreensaver/*.png
%{_datadir}/apps/kworldclock/maps/*
%{_datadir}/applnk/System/ScreenSavers/*.desktop

%files icons
%defattr(-,root,root)
%{_datadir}/icons/*

%changelog
* Mon Feb 02 2004 Than Ngo <than@redhat.com> 3.2.0-0.1
- 3.2.0 release

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 15 2003 Than Ngo <than@redhat.com> 3.1.94-0.2
- subpackage for icon

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Mon Sep 01 2003 Than Ngo <than@redhat.com> 3.1.3-3
- add requires xscreensaver

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 3.1.3-2
- rebuilt

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-5
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Than Ngo <than@redhat.com> 3.1.2-3
- get rid of buildrequires atomake15

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.4
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- removed size_t check
- excluded ia64

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.2
- rc6

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Fri Sep 13 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- Fixed to build on x86_64

* Mon Sep  2 2002 Than Ngo <than@redhat.com> 3.0.3-3
- Add BuildPrereq automake15

* Sun Aug 25 2002 Than Ngo <than@redhat.com> 3.0.3-2
- rebuild against new qt

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Fri Jul 19 2002 Than Ngo <than@redhat.com> 3.0.2-2
- Fixed screen saver issue

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-3
- final

* Thu Jan 31 2002 Bernhard Rossenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Remove KBlankscreen, it's in kdebase

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Add missing files

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
